Package org.eclipse.net4j.util.container

## Interface IManagedContainerFactory

- All Superinterfaces:
    `IFactory`, `IManagedContainer.ContainerAware`

      public interface IManagedContainerFactory
      extends IFactory, IManagedContainer.ContainerAware

  An extension of the `IFactory` protocol that provides an awareness of the container that instantiated it, so that the factory may reach back into that container for dependencies.
  Since:
    3.3
  Author:
    Christian W. Damus (CEA), Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IManagedContainer` | `getManagedContainer()` | Obtains the container that I should use to get my dependencies.

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create, getDescriptionFor, getKey`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IManagedContainer.ContainerAware

      `setManagedContainer`

- - ### Method Detail

    - #### getManagedContainer

          IManagedContainer getManagedContainer()

      Obtains the container that I should use to get my dependencies.